# Uses of Class
org.apache.solr.client.solrj.request.SolrPing

Packages that use SolrPing
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of SolrPing in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return SolrPing
Modifier and Type
Method
Description
`SolrPing`
SolrPing.`removeAction()`
Remove the action parameter from this request.
`SolrPing`
SolrPing.`setActionDisable()`
Set the action parameter on this request to enable.
`SolrPing`
SolrPing.`setActionEnable()`
Set the action parameter on this request to enable.
`SolrPing`
SolrPing.`setActionPing()`
Set the action parameter on this request to ping.